<script>
    export default {
        onLaunch: function () {
            console.log('App Launch');
        },
        onShow: function () {
            console.log('App Show');
        },
        onHide: function () {
            console.log('App Hide');
        }
    }
</script>

<style>
    /*每个页面公共css */
    /* uni-app默认全局使用flex布局。
	因为flex布局有利于跨更多平台，
	尤其是采用原生渲染的平台。
	如不了解flex布局，
	请参考http://www.w3.org/TR/css3-flexbox/。如不使用flex布局，请删除或注释掉本行。
	*/

    page {
        min-height: 100%;
        display: flex;
    }

    .content {
        display: flex;
        flex: 1;
        flex-direction: column;
        background-color: #efeff4;
        padding: 20px;
    }

    .input-group {
        background-color: #ffffff;
        margin-top: 40px;
        position: relative;
    }

    .input-group::before {
        position: absolute;
        right: 0;
        top: 0;
        left: 0;
        height: 1px;
        content: '';
        -webkit-transform: scaleY(.5);
        transform: scaleY(.5);
        background-color: #c8c7cc;
    }

    .input-group::after {
        position: absolute;
        right: 0;
        bottom: 0;
        left: 0;
        height: 1px;
        content: '';
        -webkit-transform: scaleY(.5);
        transform: scaleY(.5);
        background-color: #c8c7cc;
    }

    .input-row {
        display: flex;
        flex-direction: row;
        position: relative;
    }

    .input-row .title {
        width: 20%;
        height: 50px;
        min-height: 50px;
        padding: 15px 0;
        padding-left: 30px;
        line-height: 50px;
    }

    .input-row input {
        width: 80%;
        height: 50px;
        min-height: 50px;
        padding: 15px 0;
        padding-right: 30px;
        line-height: 50px;
    }

    .input-row.border::after {
        position: absolute;
        right: 0;
        bottom: 0;
        left: 15px;
        height: 1px;
        content: '';
        -webkit-transform: scaleY(.5);
        transform: scaleY(.5);
        background-color: #c8c7cc;
    }

    .btn-row {
        margin-top: 50px;
        padding: 20px;
    }

    button.primary {
        background-color: #0faeff;
    }
</style>
